class EventDocumentation

This file provides property and method documentation for the model Event.

This file is generated by the XELOS command line tool xf kickstart. It will be overwritten when new kickstart actions are performed.

Add @mixin \XELOS\Modules\Eventplanner\Docs\ClassGenerated\Model\EventDocumentation to the model to get access to the properties.

Properties

int $id
int $group_id
string $category_id:

stored in MySQL as text

int $user_id
int $organizer_id
int $max_accompanying_persons
string $custom_id:

stored in MySQL as varchar

string $title:

stored in MySQL as varchar

string $location:

stored in MySQL as varchar

string $street:

stored in MySQL as varchar

string $number:

stored in MySQL as varchar

string $zip:

stored in MySQL as varchar

string $city:

stored in MySQL as varchar

string $provider:

stored in MySQL as varchar

string $url:

stored in MySQL as varchar

int $start:

stored in MySQL as timestamp

int $end:

stored in MySQL as timestamp

int $min_participants
int $max_participants
bool $allow_registration:

stored in MySQL as tinyint

bool $allow_external_registration:

stored in MySQL as tinyint

bool $require_review:

stored in MySQL as tinyint

int $deadline:

stored in MySQL as timestamp

bool $use_workflow:

stored in MySQL as tinyint

string $questions:

stored in MySQL as text

bool $participant_visibility:

stored in MySQL as tinyint

int $created_by
bool $is_active:

stored in MySQL as tinyint

string $desc_plain_i18n:

stored in MySQL as text

string $desc_rendered_i18n:

stored in MySQL as text

string $internal_info:

stored in MySQL as text

string $invitation_subject:

stored in MySQL as varchar

string $invitation_description:

stored in MySQL as text

int $invitation_api_id
string $confirmation_subject:

stored in MySQL as varchar

string $confirmation_description:

stored in MySQL as text

string $confirmation_additional:

stored in MySQL as text

string $auto_deadline_subject:

stored in MySQL as varchar

string $auto_deadline_description:

stored in MySQL as text

string $auto_max_subject:

stored in MySQL as varchar

string $auto_max_description:

stored in MySQL as text

string $review_subject:

stored in MySQL as varchar

string $review_description:

stored in MySQL as text

string $decline_subject:

stored in MySQL as varchar

string $decline_description:

stored in MySQL as text

string $attachment1:

stored in MySQL as varchar

string $attachment2:

stored in MySQL as varchar

string $attachment2_label:

stored in MySQL as varchar

bool $send_attachment2:

stored in MySQL as tinyint

string $attachment3:

stored in MySQL as varchar

string $attachment3_label:

stored in MySQL as varchar

bool $send_attachment3:

stored in MySQL as tinyint

int $workflow_id
int $created_at:

stored in MySQL as timestamp

int $updated_at:

stored in MySQL as timestamp

string|false $custom_data_1
string|false $custom_data_2
string|false $custom_data_3

Methods

Event[]
all(mixed $sql_params)

Returns all models. Query params can be e.g. order_by

int
count_all(mixed $sql_params)

Returns the count

int
delete_by_id(int $id, mixed $sql_params)

Delete rows specified by condition and returns the affected rows.

Event[]
find_all_by_id(int|int[] $id, mixed $sql_params)

Returns the first model with the given id. Query params can be e.g. order_by

find_by_id(int|int[] $id, mixed $sql_params)

Returns all models by id and ids. Query params can be e.g. order_by

Details

at line 81
Event[] all(mixed $sql_params)

Returns all models. Query params can be e.g. order_by

Parameters

mixed $sql_params

Return Value

Event[]

at line 81
int count_all(mixed $sql_params)

Returns the count

Parameters

mixed $sql_params

Return Value

int

at line 81
int delete_by_id(int $id, mixed $sql_params)

Delete rows specified by condition and returns the affected rows.

Parameters

int $id
mixed $sql_params

Return Value

int

at line 81
Event[] find_all_by_id(int|int[] $id, mixed $sql_params)

Returns the first model with the given id. Query params can be e.g. order_by

Parameters

int|int[] $id
mixed $sql_params

Return Value

Event[]

at line 81
Event find_by_id(int|int[] $id, mixed $sql_params)

Returns all models by id and ids. Query params can be e.g. order_by

Parameters

int|int[] $id
mixed $sql_params

Return Value

Event